summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/update.sh b/update.sh
index d95a1df5..bdf1dc77 100755
--- a/update.sh
+++ b/update.sh
@@ -6,6 +6,7 @@
# Use launch.sh to start poezio directly from here
+python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
cd "$(dirname "$0")"
VENV="poezio-venv"
VENV_COMMAND="pyvenv"